#include "Vector3.hpp"

/*** Custom Header File ***/
#include "../iVector/iVector3.hpp"

using MathEngine::Vector3;
using MathEngine::iVector3;

Vector3::Vector3( const float X /*= 0.0f*/, const float Y /*= 0.0f*/, const float Z /*= 0.0f*/ )
	: Vector2( X, Y ), z(Z)
{}

Vector3::Vector3( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.w);
}

Vector3& Vector3::operator=( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.w);

	return *this;
}

Vector3::Vector3( const iVector3& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.z);
}

Vector3& Vector3::operator=( const iVector3& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.z);

	return *this;
}